Is magic trackpad 2 compatible with the macbook pro 2016?

1 Answer from the Community

  • Yes it is. It requires Bluetooth 4.0, which your model has. Even if it didn't a Bluetooth 4.0 USB adapter will meet the requirement like it did with my Mac Pro Server (mid 2010).

    • Answered by Anthony H from Sterling Heights
    • 11 13, 17